package cn.com.qmth.export;

import java.util.Date;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

import cn.com.qmth.export.bean.MyConsumer;
import cn.com.qmth.export.bean.MyProducer;

/**
 * 网梯按课程导
 * 
 * @author Administrator
 *
 */
public class GkExportPaperByCourseCode {

    private static Logger logger = LogManager.getLogger(GkExportPaperByCourseCode.class);

    private static AtomicInteger count = new AtomicInteger(0);

    private static AtomicInteger valid = new AtomicInteger(0);

    private static AtomicInteger rectify = new AtomicInteger(0);

    public static void main(String[] args) {
        logger.debug("导出开始");
        Date start = new Date();
        try {
            MyProducer pro = new MyProducer();
            pro.startDispose(MyConsumer.class, 8);
        } catch (Exception e) {
            logger.error(e.getCause(), e);
        }
        logger.debug("导出结束，纠正：" + rectify);
        logger.debug("导出结束，舍弃：" + valid);
        Date end = new Date();
        logger.debug("导出结束，耗时：" + ((end.getTime() - start.getTime()) / 1000));
    }

    public static void addDisposeCount() {
        count.addAndGet(1);
        logger.debug("处理了" + count);
    }

    public static void addRectify() {
        rectify.addAndGet(1);
    }

    public static void addValid() {
        valid.addAndGet(1);
    }
}
